# DataRepeaterLayoutStyles

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides an enumeration for specifying the orientation of items in a [DataRepeater](/api/wisej.web/containers/datarepeater.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DataRepeaterLayoutStyles : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DataRepeaterLayoutStyles As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                                                                         |
| -------------- | --------------------------------------------------------------------------------------------------- |
| **Horizontal** | Items are displayed in a horizontal format. A horizontal scroll bar will be displayed as necessary. |
| **Vertical**   | Items are displayed in a vertical format. A vertical scroll bar will be displayed as necessary.     |

## Used By

| Name                                                                              | Description                                                                                                                                               |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataRepeater.LayoutStyle](/api/wisej.web/containers/datarepeater.md#layoutstyle) | Return or sets whether the [DataRepeater](/api/wisej.web/containers/datarepeater.md) control will be displayed with a vertical or horizontal orientation. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/datarepeater/wisej.web.datarepeaterlayoutstyles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
